
BIBD Merchant Portal - Bug #16603

[MW-9][BE] Sensitive Field Forms Autocomplete

30 May 2023 04:38 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 21 June 2023

Priority: High Due date: 23 June 2023

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Description:

Autocomplete feature is not set to "off" on username field.

Fixes:

Use autocomplete="off" at the login form level and other fields with sensitive information

All fields in System Owner and Partner system

History

#1 - 09 June 2023 02:08 PM - Nor Khairun Aqila Jesmen

- Assignee changed from Nur Azza Syazwany Azizol to See Pin Leng

- % Done changed from 0 to 10

Autocomplete for user id field at login fixed with issue MW-10 (System Owner).

To apply same fixes - off auto-complete for below module in System Owner

1. Reset OTP Count - field User ID

2. Reset Password - field User ID

3. User Profile (search, add, edit) - field User ID

To apply same fixes - off auto-complete for below module in Partner

1. Login - field User ID

2. Forgot Password - field User ID

3. Reset OTP Count - field User ID

4. Reset Password - field User ID

5. User Profile (search, add, edit) - field User ID

#2 - 13 June 2023 01:35 PM - Nor Khairun Aqila Jesmen

- Assignee changed from See Pin Leng to Nur Azza Syazwany Azizol

Please assist

#3 - 22 June 2023 12:42 PM - Nor Khairun Aqila Jesmen

- % Done changed from 10 to 90

Please assist to apply same fixes for System Owner and Partner module

1. Reset Password - field User ID
#4 - 26 June 2023 09:44 AM - Nur Azza Syazwany Azizol

- Status changed from New to Resolved

- Assignee changed from Nur Azza Syazwany Azizol to Nor Khairun Aqila Jesmen

- % Done changed from 90 to 100

Path: cc_iam/src/main/webapp/WEB-INF/vm/user/userProfile

VM file changes:

1. userProfileDetail.vm

2. userProfileList.vm

3. resetOtpUserList.vm

4. resetPasswordList.vm

#5 - 03 January 2024 10:44 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed
